<?php


namespace Drupal\blog_commerce\Plugin\Field\FieldFormatter;


use Drupal\Core\Field\Annotation\FieldFormatter;
use Drupal\Core\Field\FieldItemListInterface;
use Drupal\media\Plugin\Field\FieldFormatter\MediaThumbnailFormatter;
/**
 * Plugin implementation of the 'media_thumbnail_first' formatter.
 *
 * @FieldFormatter(
 *   id = "media_thumbnail_first",
 *   label = @Translation("Thumbnail First"),
 *   field_types = {
 *     "entity_reference"
 *   }
 * )
 */
class MediaThumbnailFirstFormatter extends MediaThumbnailFormatter {

  public function viewElements(FieldItemListInterface $items, $langcode) {
    $elements = parent::viewElements($items, $langcode); // TODO: Change the autogenerated stub
    if(empty($elements))
      return $elements;
    return [
      $elements[0]
    ];
  }

}
